=== debian/control ===
Source: ros-indigo-hrpsys-ros-bridge
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git-core, hostname, net-tools, pkg-config, procps, python-rosdep, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-collada-urdf, ros-indigo-control-msgs, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-euscollada, ros-indigo-geometry-msgs, ros-indigo-hrpsys (>= 315.3.1), ros-indigo-hrpsys-tools, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-mk, ros-indigo-nav-msgs, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-msgs, ros-indigo-robot-pose-ekf, ros-indigo-robot-state-publisher, ros-indigo-rosbuild, ros-indigo-roscpp, ros-indigo-roslang, ros-indigo-rosnode, ros-indigo-rostest, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-rqt-robot-dashboard, ros-indigo-rqt-robot-monitor, ros-indigo-rtmbuild, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-visualization-msgs, subversion
Homepage: http://wiki.ros.org/hrpsys_ros_bridge
Standards-Version: 3.9.2

Package: ros-indigo-hrpsys-ros-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipython, python-psutil, ros-indigo-actionlib, ros-indigo-camera-info-manager, ros-indigo-collada-urdf, ros-indigo-control-msgs, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-hrpsys, ros-indigo-hrpsys-tools, ros-indigo-image-transport, ros-indigo-nav-msgs, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-msgs, ros-indigo-robot-pose-ekf, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-rosnode, ros-indigo-rostest, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-rqt-robot-dashboard, ros-indigo-rqt-robot-monitor, ros-indigo-rtmbuild, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: hrpsys_ros_bridge package provides basic functionalities to bind hrpsys, a OpenRTM-based controller, and ROS.
 By using this package, you can write your ROS packages that communicate with your non-ROS robots that run on hrpsys. For communicating with the robots that run on OpenRTM without hrpsys, you can use openrtm_ros_bridge package.
